Bug 323265 - Switching to a different file type in Files with a tag still selected causes problems
Summary: Switching to a different file type in Files with a tag still selected causes ...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Plasma
Component: Applications (show other bugs)
Version: Testing
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: PA 4
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 19:04 UTC by Thomas Pfeiffer
Modified: 2013-08-09 20:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2013-08-07 19:04:03 UTC
When I select a tag in Files (i.e. filtering by that tag) and then switch to another file type, no files are shown (the tag filter is still active). If I then go back to the previous file type and go to tags the tag is not selected but is still filtering. Selecting the tag and deselecting it again does not help.
I have to restart Files to see all my files again

Reproducible: Always

Steps to Reproduce:
1. Start Files
2. Select a file type where a tag is shown
3. Select the tag
4. Go back to Filters
5. Select a different file type
Actual Results:  
No files are shown

Expected Results:  
All files of the selected type are shown (the tag filter is cleared)
Comment 1 Marco Martin 2013-08-09 13:49:18 UTC
Git commit dace0a4c8d8e304bbae04d53d801565b8df9d4ec by Marco Martin.
Committed on 09/08/2013 at 13:29.
Pushed by mart into branch 'Active/4'.

reset tags when type changes

M  +1    -0    applications/filebrowser/package/contents/ui/TypeFilter.qml

http://commits.kde.org/plasma-mobile/dace0a4c8d8e304bbae04d53d801565b8df9d4ec
Comment 2 Marco Martin 2013-08-09 13:49:19 UTC
Git commit 557add80a56b55036d7f2727caf3cb2f40ac4837 by Marco Martin.
Committed on 09/08/2013 at 13:48.
Pushed by mart into branch 'Active/4'.

reset resourceInstance when screen becomes -1

M  +6    -0    containments/activityscreen/contents/ui/main.qml

http://commits.kde.org/plasma-mobile/557add80a56b55036d7f2727caf3cb2f40ac4837
Comment 3 Thomas Pfeiffer 2013-08-09 20:36:10 UTC
I confirm it's fixed :)